import { IOptions, ISendData } from './type';
export declare class Mail {
    private readonly options;
    /**
     * Create a mail client
     *
     * @param options mail config
     */
    static create(options: IOptions): Mail;
    /**
     * Alias of create
     *
     * @param options mail config
     */
    static createClient(options: IOptions): Mail;
    private transporter;
    constructor(options: IOptions);
    /**
     * send mail method
     *
     * @param mail content
     */
    send({ to, subject, content }: ISendData): Promise<any>;
}
export default Mail;
